Bug 22287 - Correct new charts CSS
Summary: Correct new charts CSS
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22168
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-07 13:10 UTC by Owen Leonard
Modified: 2019-05-27 12:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22287: Correct new charts CSS (1.80 KB, patch)
2019-02-07 13:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22287: Correct new charts CSS (1.98 KB, patch)
2019-02-08 19:34 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22287: Correct new charts CSS (2.03 KB, patch)
2019-02-15 06:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-02-07 13:10:25 UTC
Bug 22168 introduced a change to reports CSS which had an unintended effect on the SQL reports edit form.
Comment 1 Owen Leonard 2019-02-07 13:17:49 UTC Comment hidden (obsolete)
Comment 2 Mikaël Olangcay Brisebois 2019-02-08 19:34:32 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-02-15 06:40:41 UTC
Created attachment 85140 [details] [review]
Bug 22287: Correct new charts CSS

This patch reverts some changes to reports CSS from Bug 22168 which were
unnecessary and which adversely affected the report add/edit form
styling.

To test, apply the patch and clear your browser cache if necessary.

Go to Reports -> Saved reports and repeat the test plan for Bug 22168:

- Run a report which returns more than one column.
- On the report results page, click the "Create chart" button. The chart
  settings form should appear in a modal window.
- Click the "Draw" button. The modal should disappear and the chart
  should be shown.

Then test the process for adding or editing an SQL report. The form
should be styled in a way consistent with other forms in the staff
client.

Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-02-15 18:51:11 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-02-25 13:38:41 UTC
Pushed to 18.11.x for 18.11.04
Comment 6 Lucas Gass 2019-03-05 15:23:26 UTC
missing 22168 in 18.05.x series. won't backport